## com.vividsolutions.jts.index.strtree
Class Interval

    java.lang.Object
      com.vividsolutions.jts.index.strtree.Interval

public class Interval
extends java.lang.Object

A contiguous portion of 1D-space. Used internally by SIRtree.

Version:
  1.7
See Also:
  `SIRtree`

Constructor Summary
`Interval(double min, double max)`
`Interval(Interval other)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`Interval` `expandToInclude(Interval other)`
`double` `getCentre()`
`boolean` `intersects(Interval other)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Interval

    public Interval(Interval other)

### Interval

    public Interval(double min,
                    double max)

Method Detail

### getCentre

    public double getCentre()

### expandToInclude

    public Interval expandToInclude(Interval other)

  Returns:
    this

### intersects

    public boolean intersects(Interval other)

### equals

    public boolean equals(java.lang.Object o)